Index: squid/src/HintCacheNodes.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Attic/HintCacheNodes.c,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid/src/HintCacheNodes.c	20 Nov 2001 06:54:24 -0000	1.1.2.1
+++ squid/src/HintCacheNodes.c	21 May 2002 02:46:41 -0000	1.1.2.2
@@ -988,84 +883,87 @@
  *
  *------------------------------------------------------------------
  */
-void HCNodelist_SelfTest (void)
+void
+hintCacheNodelistSelfTest(void)
 {
-  struct sockaddr_in n0, n1, n2;
-  HCNLIter iter;
-  struct sockaddr_in nodeAddr;
-  int nhops;
-  int valid;
-  int found = 0;
-
-  printf("HCNodelist_SelfTest...");
-  n0.sin_addr.s_addr = 0x90536F00; n0.sin_port = 0;
-  n1.sin_addr.s_addr = 0x91536F01; n1.sin_port = 1;
-  n2.sin_addr.s_addr = 0x92536F02; n2.sin_port = 2;
-
-  HCNodelist_Init();
-  HCPlax_Init(8);
-
-  assert(neighborsOutgoing == NULL);
-  neighborsOutgoing = (HCNet *)malloc(sizeof(HCNet));
-  assert(neighborsOutgoing);
-  HCNet_Init(neighborsOutgoing);
-  HCNet_SetTestMode(neighborsOutgoing);
-
-
-  /*
-   * How to test if this really works? For now look at how many
-   * outgoing messages were enqueued.
-   */
-  HCNodelist_LocalJoin(); 
-  HCNodelist_LocalLeave();
-  assert(HCNet_GetTestCount(neighborsOutgoing) == 2);
-
-  /*
-   * Expected final state:
-   * n0 JOIN dist = 12
-   * n1 LEAVE XXX
-   * n2 JOIN dist=20
-   */
-  HCNodelist_NetJoin(&n0, 10, 42);
-  HCNodelist_NetJoin(&n2, 20, 42);
-  HCNodelist_NetJoin(&n0, 13, 43);
-  HCNodelist_NetJoin(&n1, 20, 42);
-  HCNodelist_NetJoin(&n2, 20, 100);
-  HCNodelist_NetJoin(&n0, 9, 42);
-  HCNodelist_NetJoin(&n0, 12, 43);
-  HCNodelist_NetJoin(&n2, 20, 42);
-  HCNodelist_NetLeave(&n1, 999, 43);
-  HCNodelist_NetJoin(&n1, 19, 42);
-
-  for(HCNodeList_IterStart(&iter);
-      HCNodeList_IterCheck(iter);
-      HCNodeList_IterNext(&iter)){
-    valid = HCNodeList_IterGetAddr(iter, &nodeAddr);
-    if(valid){
-      nhops = netdbHintHops(nodeAddr.sin_addr);
-      if(nodeAddr.sin_addr.s_addr == n0.sin_addr.s_addr){
-	found++;
-	assert(nhops == 12);
-      }
-      if(nodeAddr.sin_addr.s_addr == n2.sin_addr.s_addr){
-	found++;
-	assert(nhops = 20);
-      }
-      if(nodeAddr.sin_addr.s_addr == n1.sin_addr.s_addr){
-	assert(0);
-      }
-    }
-  }
-  assert(found == 2);
+    struct sockaddr_in n0, n1, n2;
+    HintCacheNodeListIter iter;
+    struct sockaddr_in nodeAddr;
+    int nhops;
+    int valid;
+    int found = 0;
+
+    printf("HintCacheNodelistSelfTest...");
+    n0.sin_addr.s_addr = 0x90536F00;
+    n0.sin_port = 0;
+    n1.sin_addr.s_addr = 0x91536F01;
+    n1.sin_port = 1;
+    n2.sin_addr.s_addr = 0x92536F02;
+    n2.sin_port = 2;
+
+    hintCacheNodelistInit();
+    hintCachePlax_Init(8);
+
+    assert(neighborsOutgoing == NULL);
+    neighborsOutgoing = (HintCacheNet *) xmalloc(sizeof(HintCacheNet));
+    assert(neighborsOutgoing);
+    hintCacheNet_Init(neighborsOutgoing);
+    hintCacheNet_SetTestMode(neighborsOutgoing);
+
 
-  HCNodelist_Destroy();
-  HCPlax_Destroy();
+    /*
+     * How to test if this really works? For now look at how many
+     * outgoing messages were enqueued.
+     */
+    hintCacheNodelistLocalJoin();
+    hintCacheNodelistLocalLeave();
+    assert(hintCacheNet_GetTestCount(neighborsOutgoing) == 2);
 
-  HCNet_Destroy(neighborsOutgoing);
-  free(neighborsOutgoing);
-  neighborsOutgoing = NULL;
+    /*
+     * Expected final state:
+     * n0 JOIN dist = 12
+     * n1 LEAVE XXX
+     * n2 JOIN dist=20
+     */
+    hintCacheNodelistNetJoin(&n0, 10, 42);
+    hintCacheNodelistNetJoin(&n2, 20, 42);
+    hintCacheNodelistNetJoin(&n0, 13, 43);
+    hintCacheNodelistNetJoin(&n1, 20, 42);
+    hintCacheNodelistNetJoin(&n2, 20, 100);
+    hintCacheNodelistNetJoin(&n0, 9, 42);
+    hintCacheNodelistNetJoin(&n0, 12, 43);
+    hintCacheNodelistNetJoin(&n2, 20, 42);
+    hintCacheNodelistNetLeave(&n1, 999, 43);
+    hintCacheNodelistNetJoin(&n1, 19, 42);
+
+    for (hintCacheNodeListIterStart(&iter);
+	hintCacheNodeListIterCheck(iter); hintCacheNodeList_IterNext(&iter)) {
+	valid = hintCacheNodeListIterGetAddr(iter, &nodeAddr);
+	if (valid) {
+	    nhops = netdbHintHops(nodeAddr.sin_addr);
+	    if (nodeAddr.sin_addr.s_addr == n0.sin_addr.s_addr) {
+		found++;
+		assert(nhops == 12);
+	    }
+	    if (nodeAddr.sin_addr.s_addr == n2.sin_addr.s_addr) {
+		found++;
+		assert(nhops = 20);
+	    }
+	    if (nodeAddr.sin_addr.s_addr == n1.sin_addr.s_addr) {
+		assert(0);
+	    }
+	}
+    }
+    assert(found == 2);
+
+    hintCacheNodelistDestroy();
+    hintCachePlaxDestroy();
+
+    hintCacheNetDestroy(neighborsOutgoing);
+    free(neighborsOutgoing);
+    neighborsOutgoing = NULL;
 
-  printf("..OK\n");
+    printf("..OK\n");
 
 }
 
Index: squid/src/HintCachePrim.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Attic/HintCachePrim.c,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid/src/HintCachePrim.c	20 Nov 2001 06:56:54 -0000	1.1.2.1
+++ squid/src/HintCachePrim.c	21 May 2002 02:46:42 -0000	1.1.2.2
@@ -1,6 +1,7 @@
 /*
- * $Date: 2001/11/20 06:56:54 $ $Id: HintCachePrim.c,v 1.1.2.1 2001/11/20 06:56:54 jkay Exp $
+ * $Date: 2002/05/21 02:46:42 $ $Id: HintCachePrim.c,v 1.1.2.2 2002/05/21 02:46:42 jkay Exp $
  *
+ * DEBUG: section 89    List of known caches.
  * AUTHOR: Mike Dahlin, UT Austin, 1998
  *
  * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -39,54 +40,23 @@
 #include <assert.h>
 
 
-const URLKey INVALID_URL_KEY = {0};
+const URLKey INVALID_URL_KEY = { 0 };
 
-static GenericKey calculateStupidKey(char *url);
-static GenericKey calculateMD5Key(char *url);
+static HintCacheKey calculateStupidKey(char *url);
 static void makeLowerCase(char *url);
-static GenericKey calculateKey(char *url);
 
 const static int useMD5 = 1;
-  
+
 
 /*
  *------------------------------------------------------------------
  *
  * URLKey --
  *
- *          Constructor. Calculate a hash of the URL.
- *          This hash needs to be a good one; collisions
- *          must be rare because they get treated as misses
- *          or worse yet false hits.
- *
- *          Be sure to convert the URL to a canonical form.
- *          We assume that the only canonicalizing that
- *          we need to do is making it all the same case.
- *
- * Arguments:
- *      char *url -- a URL.
- *
- * Results:
- *      None.
- *
- * Side effects:
- *      None.
- *
- *------------------------------------------------------------------
+ *          The first 64 bits of the 128-bit Squid/Cache Digest URL key.
  */
 
-void
-URLKey_Init(URLKey *key, char *url)
-{
-  assert(key);
-  if(!url){
-    key->key = 0;
-    return;
-  }
 
-  makeLowerCase(url);
-  key->key = calculateKey(url);    
-}
 
 /*
  * Make lower case, but stop at third '/' (e.g., after the hostname).
@@ -94,107 +64,64 @@
 static void
 makeLowerCase(char *url)
 {
-  int len, ii;
-  int slashCount = 0;
+    int len, ii;
+    int slashCount = 0;
 
-  assert(url);
-  len = strlen(url);
-  for(ii = 0; ii < len; ii++){
-    /*
-     * Alignment.
-     */
-    if(url[ii] == '/'){
-      slashCount++;
-      if(slashCount == 3){
-	return;
-      }
+    assert(url);
+    len = strlen(url);
+    for (ii = 0; ii < len; ii++) {
+	/*
+	 * Alignment.
+	 */
+	if (url[ii] == '/') {
+	    slashCount++;
+	    if (slashCount == 3) {
+		return;
+	    }
+	}
+	url[ii] = tolower(url[ii]);
     }
-    url[ii] = tolower(url[ii]);
-  }
 }
 
 
-/*
- * The hash function should be really good since we are counting
- * on there being few collisions in our k-way associative
- * table (for small k). The roll-your-own one I doubt is much
- * good, so you should probably use the MD5 hash. Notice
- * that machines send messages to each other that contain
- * the hash only, so all machines must use the same calculateKey
- * function.
- */
-static GenericKey
-calculateKey(char *url)
+/* functional encapsulation of the ever-popular macro of the
+   same name.  Needed for hash table. */
+int 
+hintCacheURLKeyCompare(URLKey *u1, URLKey *u2)
 {
-  const static int useMD5 = 1;
-
-  if(useMD5){
-    return calculateMD5Key(url);
-  }
-  else{
-    return calculateStupidKey(url);
-  }
-
+    return(URLKEY_COMPARE(*u1, *u2));
 }
 
-
-static GenericKey
-calculateMD5Key(char *url)
-{
-  MD5_CTX  tCrypt;
-  static long long unsigned digestPart;
-
-  assert(url);
-  MD5Init(&tCrypt);
-  MD5Update(&tCrypt, "this is my secret key, yeah right", strlen("this is my secret key, yeah right"));
-  MD5Update(&tCrypt, url, strlen(url));
-  MD5Final(&tCrypt);
-  /*
-   * The digest MUST be smaller than a long long (otherwise we
-   * would be including undefined bytes past end of digest.
-   */
-  assert(MD5_DIGEST_SIZE * sizeof(unsigned char) 
-	 >= sizeof(GenericKey));
-				   
-  memcpy(&digestPart, &(tCrypt.digest[0]), sizeof(digestPart));
-  return digestPart;
-}
-
-static GenericKey
-calculateStupidKey(char *url)
+/*
+ * Retrieve entry using hint_table.
+ * The hint_table keeps a pointer to the hchash part of th
+ * StoreEntry, so we apply the appropriate offset to
+ * retrieve the StoreEntry itself.
+ */
+StoreEntry *
+hintCacheStoreGet(URLKey urlkey)
 {
-  static const GenericKey BIG_PRIME_1 = 193844587;
-  static const GenericKey BIG_PRIME_2 = 455899;
-  static const GenericKey BIG_PRIME_3 = 901367;
-  
-  int len, ii;
-  GenericKey key, chunk;
-  assert(url);
-  len = strlen(url);
-  key = 0;
-  for(ii = 0; ii < len-8; ii += 8){
-    /* Make copy to guarantee alignment. */
-    memcpy(&chunk, &url[ii], 8);
-    key = key + chunk * BIG_PRIME_1;
-  }
-  for( ; ii < len; ii++){
-    key = key + (unsigned char)url[ii] * BIG_PRIME_2;
-  }
-  key = key + len * BIG_PRIME_3;
-  return key;
+    hash_link *hchash;
+    StoreEntry *entry;
+    int hchoff;
+    
+    hchash = (hash_link *) hash_lookup(store_table, &urlkey);
+    hchoff = (u_char *) &entry->hchash - (u_char *) entry;
+    entry = (StoreEntry *) ((u_char *) hchash - hchoff);
+    return(entry);
 }
 
 
-void 
-Net_URLKey_Init(Net_URLKey *mungedKey, URLKey *key)
+void
+hintCacheNetURLKeyNetInit(URLKeyNet * mungedKey, URLKey * key)
 {
-  mungedKey->mungedKey = HCEndian_llMachineToNet(key->key);
+    mungedKey->mungedKey = hintCacheEndian_llMachineToNet(key->key);
 }
 
 void
-Net_URLKey_LocalFormat(Net_URLKey *mungedKey, URLKey *key)
+hintCacheNetURLKeyLocalFormat(URLKeyNet * mungedKey, URLKey * key)
 {
-  key->key = HCEndian_llNetToMachine(mungedKey->mungedKey);
+    key->key = hintCacheEndian_llNetToMachine(mungedKey->mungedKey);
 }
 
 
@@ -219,55 +146,51 @@
  *---------------------------------------------------4.9.1998--------
  */
 void
-NodeKey_Init(NodeKey *k, const struct sockaddr_in *addrP)
+hintCacheNodeKeyInit(NodeKey * k, const struct sockaddr_in *addrP)
 {
-  assert(k);
-  assert(addrP);
-  
-  List_Init((List_Links *)k);
-  k->key = NodeKK_Key(addrP);
-  k->addr = *addrP;
+    assert(k);
+    assert(addrP);
+
+    k->links.data = k;
+    k->links.next = k->links.prev = 0;
+    k->key = hintCacheNodeKeyKey(addrP);
+    k->addr = *addrP;
 }
 
 int
-NodeKey_Compare(const NodeKey *k1, const NodeKey *k2)
+hintCacheNodeKeyCompare(const NodeKey * k1, const NodeKey * k2)
 {
-  assert(k1);
-  assert(k2);
-  if(k1->key != k2->key){
-    return 1;
-  }
-  return 0;
+    assert(k1);
+    assert(k2);
+    if (k1->key != k2->key) {
+	return 1;
+    }
+    return 0;
 }
 
-struct sockaddr_in 
-NodeKey_GetAddr (const NodeKey *k)
+struct sockaddr_in
+hintCacheNodeKeyGetAddr(const NodeKey * k)
 {
-  assert(k);
-  return k->addr;
+    assert(k);
+    return k->addr;
 }
 
-GenericKey
-NodeKK_Key(const struct sockaddr_in *addrP)
+HintCacheKey
+hintCacheNodeKeyKey(const struct sockaddr_in * addrP)
 {
-  GenericKey k;
-  char *name;
+    HintCacheKey k;
+    char *name;
 
-  name = inet_ntoa(addrP->sin_addr);
-  if(useMD5){
-    k = calculateMD5Key(name);
-  }
-  else{
-    k = calculateStupidKey(name);
-  }
-  return k;
+    name = inet_ntoa(addrP->sin_addr);
+    k = *(HintCacheKey *) storeKeyPublic(name, METHOD_PUT);
+    return k;
 }
 
 
 /*
  *------------------------------------------------------------------
  *
- * HCEntry --
+ * hintCacheEntry --
  *
  *          A structure including a <URLKey, sockaddr_in> pair. Generally
  *          points to the nearest copy of the specified url.
@@ -283,63 +206,63 @@
  *
  *------------------------------------------------------------------
  */
-void 
-HCEntry_Init(HCEntry *entry, URLKey key, struct sockaddr_in *saddr,
-	     unsigned int mtime)
-{
-  entry->key = key;
-  entry->ipaddr = saddr->sin_addr;
-  entry->port = saddr->sin_port;
-  entry->pad = 0;
-  entry->mtime = mtime;
+void
+hintCacheEntryInit(HintCacheEntry * entry, URLKey key, struct sockaddr_in *saddr,
+    unsigned int mtime)
+{
+    entry->key = key;
+    entry->ipaddr = saddr->sin_addr;
+    entry->port = saddr->sin_port;
+    entry->pad = 0;
+    entry->mtime = mtime;
 }
 
 int
-HCEntry_Compare(HCEntry *e1, HCEntry *e2)
+hintCacheEntryCompare(HintCacheEntry * e1, HintCacheEntry * e2)
 {
-  /* 
-   * If you add a field, you must change this code.
-   */
-  if(URLKEY_COMPARE(e1->key, e2->key)){
-    return 1;
-  }
+    /* 
+     * If you add a field, you must change this code.
+     */
+    if (URLKEY_COMPARE(e1->key, e2->key)) {
+	return 1;
+    }
 
-  if (e1->ipaddr.s_addr != e2->ipaddr.s_addr)
-      return 1;
+    if (e1->ipaddr.s_addr != e2->ipaddr.s_addr)
+	return 1;
 
-  if (e1->port != e2->port)
-      return 1;
+    if (e1->port != e2->port)
+	return 1;
 
-  if (e1->mtime != e2->mtime)
-      return 1;
+    if (e1->mtime != e2->mtime)
+	return 1;
 
-  return 0;
+    return 0;
 }
 
 void
-Net_HCEntry_Init(Net_HCEntry *mungedEntry, HCEntry *entry)
+hintCacheNetEntryInit(HintCacheEntryNet * mungedEntry, HintCacheEntry * entry)
 {
-  /* 
-   * If you add a field, you must change this code.
-   */
-  Net_URLKey_Init(&mungedEntry->mungedKey, &entry->key);
+    /* 
+     * If you add a field, you must change this code.
+     */
+    URLKeyNetInit(&mungedEntry->mungedKey, &entry->key);
 /*  mungedEntry->mungedIpaddr.s_addr  = htonl(entry->ipaddr.s_addr);*/
-  mungedEntry->mungedIpaddr.s_addr  = entry->ipaddr.s_addr;
-  mungedEntry->mungedPort = htons(entry->port);
-  mungedEntry->mungedMtime = htonl(entry->mtime);
+    mungedEntry->mungedIpaddr.s_addr = entry->ipaddr.s_addr;
+    mungedEntry->mungedPort = htons(entry->port);
+    mungedEntry->mungedMtime = htonl(entry->mtime);
 }
 
 void
-Net_HCEntry_LocalFormat(Net_HCEntry *mungedEntry, HCEntry *entry)
+hintCacheEntryLocalFormatNet(HintCacheEntryNet * mungedEntry, HintCacheEntry * entry)
 {
-  /* 
-   * If you add a field, you must change this code.
-   */
-  Net_URLKey_LocalFormat(&mungedEntry->mungedKey, &entry->key);
+    /* 
+     * If you add a field, you must change this code.
+     */
+    URLKeyLocalFormatNet(&mungedEntry->mungedKey, &entry->key);
 /*  entry->ipaddr.s_addr = ntohl(mungedEntry->mungedIpaddr.s_addr);*/
-  entry->ipaddr.s_addr = mungedEntry->mungedIpaddr.s_addr;
-  entry->port = ntohs(mungedEntry->mungedPort);
-  entry->mtime = htonl(mungedEntry->mungedMtime);
+    entry->ipaddr.s_addr = mungedEntry->mungedIpaddr.s_addr;
+    entry->port = ntohs(mungedEntry->mungedPort);
+    entry->mtime = htonl(mungedEntry->mungedMtime);
 }
 
 
@@ -348,7 +271,7 @@
  *
  * HCUpdate --
  *
- *          An update is a HCEntry and an action.
+ *          An update is a HintCacheEntry and an action.
  *
  * Arguments:
  *      type1 arg1 -- description.
@@ -362,67 +285,67 @@
  *------------------------------------------------------------------
  */
 void
-hintCacheUpdateInit(HCUpdate *u, int action, HCEntry *entry, int hopcount)
+hintCacheUpdateInit(HintCacheUpdate * u, int action, HintCacheEntry * entry, int hopcount)
 {
-  u->action = action;
-  u->hopcount = hopcount;
-  u->UNUSED = 0;   /* remove this field sometime */
-  u->entry = *entry;
+    u->action = action;
+    u->hopcount = hopcount;
+    u->UNUSED = 0;		/* remove this field sometime */
+    u->entry = *entry;
 }
 
 void
 hintCacheUpdateSelfTest()
 {
-  HCUpdate update;
-  Net_HCUpdate netupd;
-    
-  /* HCUpdate must be at least this min size */
-  assert(sizeof(HCUpdate) >= HCU_MINLEN);
+    HintCacheUpdate update;
+    HintCacheUpdateNet netupd;
+
+    /* HintCacheUpdate must be at least this min size */
+    assert(sizeof(HintCacheUpdate) >= HCU_MINLEN);
 
-  /* Test that some field in update has expected offset */
-  assert((char *) &update.entry - (char *) &update == 8);
-  assert((char *) &netupd.mungedEntry - (char *) &netupd == 8);
-  
-  /* Make sure net version of struct stays in sync. */
-  assert(sizeof(HCUpdate) == sizeof(Net_HCUpdate));
+    /* Test that some field in update has expected offset */
+    assert((char *) &update.entry - (char *) &update == 8);
+    assert((char *) &netupd.mungedEntry - (char *) &netupd == 8);
+
+    /* Make sure net version of struct stays in sync. */
+    assert(sizeof(HintCacheUpdate) == sizeof(HintCacheUpdateNet));
 }
 
 void
-hintCacheUpdateInitNet (Net_HCUpdate *mupdate, HCUpdate *update)
+hintCacheUpdateInitNet(HintCacheUpdateNet * mupdate, HintCacheUpdate * update)
 {
     /* No need for htonl on action, hopcount, or len - they are single bytes. */
-    mupdate->mungedAction   = update->action;
-    mupdate->mungedUNUSED    = update->UNUSED; /* remove this field sometime */
+    mupdate->mungedAction = update->action;
+    mupdate->mungedUNUSED = update->UNUSED;	/* remove this field sometime */
     mupdate->mungedHopcount = update->hopcount;
-    mupdate->mungedPad1     = -1;
-    mupdate->mungedPad2     = -1;
+    mupdate->mungedPad1 = -1;
+    mupdate->mungedPad2 = -1;
 /*     mupdate->mungedCchange  = htonl(update->cchange); XXX - NOTYET */
-    
+
     hintCacheEntryInitNet(&mupdate->mungedEntry, &update->entry);
 }
 
 
 void
-hintCacheUpdateLocalFormatNet(Net_HCUpdate *mupdate, HCUpdate *update)
+hintCacheUpdateLocalFormatNet(HintCacheUpdateNet * mupdate, HintCacheUpdate * update)
 {
     /* No need for htonl on action or len - they are single bytes. */
-    update->action   = mupdate->mungedAction;
-    update->UNUSED    = mupdate->mungedUNUSED; ;
+    update->action = mupdate->mungedAction;
+    update->UNUSED = mupdate->mungedUNUSED;;
     update->hopcount = mupdate->mungedHopcount;
 /*     update->cchange  = ntohl(mupdate->mungedCchange); XXX - NOTYET */
-    
+
     hintCacheEntryLocalFormatNet(&mupdate->mungedEntry, &update->entry);
 }
 
-int 
-hintCacheUpdateCompare (HCUpdate *u1, HCUpdate *u2)
+int
+hintCacheUpdateCompare(HintCacheUpdate * u1, HintCacheUpdate * u2)
 {
-  if((u1->action != u2->action)
-     || (u1->hopcount != u2->hopcount)
-     || (HCEntry_Compare(&u1->entry, &u2->entry))){
-    return 1;
-  }
-  return 0;
+    if ((u1->action != u2->action)
+	|| (u1->hopcount != u2->hopcount)
+	|| (hintCacheEntry_Compare(&u1->entry, &u2->entry))) {
+	return 1;
+    }
+    return 0;
 }
 
 #ifdef DOTEST
@@ -448,34 +371,34 @@
 primitivesSelfTest()
 {
 
-  URLKey urlKey, urlKey2;
-  Net_URLKey netUrlKey;
-  char url[128];
-  HintCachEntry hcEntry, hcEntry2;
-  HintCacheEntry netHCEntry;
-  HintCacheUpdate hcUpdate, hcUpdate2;
-  HintCacheUpdateNet netHCUpdate;
-  struct sockaddr_in saddr = { AF_INET, 0, { { { 0, 0, 0, 0 } } } };
-
-  printf("primitivesSelfTest()..");
-
-  sprintf(url, "http://www.cs.Utexas.edu");
-  URLKey_Init(&urlKey, url);
-  Net_URLKey_Init(&netUrlKey, &urlKey);
-  Net_URLKey_LocalFormat(&netUrlKey, &urlKey2);
-  assert(!URLKEY_COMPARE(urlKey, urlKey2));
-
-  hintCacheEntryInit(&hcEntry, urlKey, &saddr);
-  hintCacheEntryInitNet(&netHCEntry, &hcEntry);
-  hintCacheEntryLocalFormatNet(&netHCEntry, &hcEntry2);
-  assert(!hintCacheEntryCompare(&hcEntry, &hcEntry2));
-
-  HCUpdate_Init(&hcUpdate, HC_InvalToChild, &hcEntry, 1);
-  HCUpdate_selfTest();
-  Net_HCUpdate_Init(&netHCUpdate, &hcUpdate);
-  Net_HCUpdate_LocalFormat(&netHCUpdate, &hcUpdate2);
-  assert(!HCUpdate_Compare(&hcUpdate, &hcUpdate2));
+    URLKey urlKey, urlKey2;
+    URLKeyNet netUrlKey;
+    char url[128];
+    HintCachEntry hcEntry, hcEntry2;
+    HintCacheEntry netHintCacheEntry;
+    HintCacheUpdate hcUpdate, hcUpdate2;
+    HintCacheUpdateNet netHintCacheUpdate;
+    struct sockaddr_in saddr = { AF_INET, 0, {{{0, 0, 0, 0}}} };
+
+    printf("primitivesSelfTest()..");
+
+    sprintf(url, "http://www.cs.Utexas.edu");
+    hintCacheURLKey_Init(&urlKey, url);
+    Net_URLKey_Init(&netUrlKey, &urlKey);
+    URLKeyLocalFormatNet(&netUrlKey, &urlKey2);
+    assert(!URLKEY_COMPARE(urlKey, urlKey2));
+
+    hintCacheEntryInit(&hcEntry, urlKey, &saddr);
+    hintCacheEntryInitNet(&netHintCacheEntry, &hcEntry);
+    hintCacheEntryLocalFormatNet(&netHintCacheEntry, &hcEntry2);
+    assert(!hintCacheEntryCompare(&hcEntry, &hcEntry2));
+
+    hintCacheUpdateInit(&hcUpdate, HC_InvalToChild, &hcEntry, 1);
+    hintCacheUpdate_selfTest();
+    hintCacheUpdateInitNet(&netHintCacheUpdate, &hcUpdate);
+    hintCacheUpdateLocalFormatNet(&netHintCacheUpdate, &hcUpdate2);
+    assert(!HintCacheUpdate_Compare(&hcUpdate, &hcUpdate2));
 
-  printf(".OK\n");
+    printf(".OK\n");
 }
 #endif /* DOTEST */
